# Package org.apache.catalina.users

package org.apache.catalina.users

- Related Packages
  Package
  Description
  org.apache.catalina
- Classes
  Class
  Description
  AbstractGroup
  Convenience base class for `Group` implementations.
  AbstractRole
  Convenience base class for `Role` implementations.
  AbstractUser
  Convenience base class for `User` implementations.
  Constants
  Manifest constants for this Java package.
  MemoryGroup
  Deprecated.
  Use `AbstractGroup` instead.
  MemoryRole
  Deprecated.
  Use `AbstractRole` instead.
  MemoryUser
  Deprecated.
  Use `AbstractUser` instead.
  MemoryUserDatabase
  Concrete implementation of `UserDatabase` that loads all defined users, groups, and roles into an in-memory data structure, and uses a specified XML file for its persistent storage.
  MemoryUserDatabaseFactory
  JNDI object creation factory for `MemoryUserDatabase` instances.